#
# Environment settings
#
CUDA_INSTALL_PATH=/usr/local/cuda
CUDA_DEVELOPER_PATH=/home/streambase/NV_CUDA_4RC1
JDK_INCLUDE_PATH=/opt/streambase/jdk/include
JDK_LIB_PATH=/opt/streambase/jdk/jre/lib
PWD =	$(shell pwd)
BINDIR = $(PWD)/bin
OSUPPER = $(shell uname -s 2>/dev/null | tr [:lower:] [:upper:])
OSLOWER = $(shell uname -s 2>/dev/null | tr [:upper:] [:lower:])
SRCDIR ?=

ROOTOBJDIR=obj

verbose=1

mkdirs: objdirectory

cubindirectory:
	$(VERBOSE)mkdir -p $(CUBINDIR)

ptxdirectory:
	$(VERBOSE)mkdir -p $(PTXDIR)

objdirectory:
	$(VERBOSE)mkdir -p $(OBJDIR)

clean:
	$(VERBOSE)rm -rf $(ROOTOBJDIR)
	$(VERBOSE) rm -f lib*.so

