/*
 * Copyright (c) 2004-2011 StreamBase Systems, Inc.  All rights reserved.
 * Author: Darach Ennis <darach.ennis@streambase.com>
 *
 */
package com.streambase.demos.nvidia.bsm;

import java.util.Random;

public class RandomUtil {
    private RandomUtil() { }

    private static Random r = new Random();

    // @NOTE: This is roughly equivalent to the randFloat in the NVIDIA BlackScholes demo (snarfed!)
    public static float randFloat(float low, float high) {
        float t = r.nextFloat();
        return ((1.0f - t) * low) + (t * high);
    }
}
